using System;

namespace Com.Bocom.OpenApi
{
    public class BocomApiException : Exception
    {
        private static long serialVersionUID = 1982151499949623380L;

        private int errCode;
        private string errMsg;

        public BocomApiException()
        {
        }

        public BocomApiException(string message)
        {
            errMsg = message;
        }

        public BocomApiException(int errCode, string errMsg)
            : base(errCode + ":" + errMsg)
        {
            this.errCode = errCode;
            this.errMsg = errMsg;
        }

        public BocomApiException(string message, Exception e) : base(message, e)
        {
            errMsg = message;
        }

        public BocomApiException(int errCode, String errMsg, Exception e) : base(errCode + ":" + errMsg, e)
        {
            this.errCode = errCode;
            this.errMsg = errMsg;
        }

        public int GetErrCode()
        {
            return errCode;
        }

        public string GetErrMsg()
        {
            return errMsg;
        }
    }
}